Skip to main content
GET
/
gst
/
compliance
/
tax-payer
/
e-invoice
/
{irn}
Get E-Invoice by IRN
curl --request GET \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/e-invoice/{irn} \
  --header 'Authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
{ "code": 200, "data": { "error": { "error_cd": "EINV30118", "message": "No record found." }, "status_cd": "0" }, "timestamp": 1763446641000, "transaction_id": "d4a49c94-da0f-403c-8195-ebc172f77df2" }
Only e-Invoices within the last 6 months can be fetched.

Headers

Authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the Authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

irn
string
required
Example:

"1043b7fa87bee9c9d82c6771b64034c247430dbf423ecb7ba28a34e157cf8720"

Response

200 - application/json

200 E-Invoice fetched / 200 EINV30118 Record not found / 200 EINV30119 E-Invoice older than 6 months

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"30a2c438-bc17-44f7-a778-0dc6909ca118"